#ifndef __MACSIMdefs
#define __MACSIMdefs

#include "..\\globaldefs.h"

#define DEBUG
#define MINISLOTTIME ((int)800)
#define MAXSEED      10000
#define IFS			 1
#define DATATimeOut  8050

/*Wait idly this many slots after a succesful transmission*/
// BACKOFFSCHEME 1 makes a node set its rank to 0 for WAITSLOTS mini slots after
//    a successful exchange.
// BACKOFFSCHEME 2 makes a node attenuate its rank by MAXMOD after a successful
//    exchange, and divides the attenuator by 3 in every subsequent slot.
#define BACKOFFSCHEME 1
#define WAITSLOTS	  12
#define MAXMOD		  19683

#define NRARTS
#define NRACTS

// set to 1, to make every node know the correct rank of every other node
#define NRAGENIE  	  0


#endif
